/** @typedef {typeof __propDef.props}  LayerCakeProps */
/** @typedef {typeof __propDef.events}  LayerCakeEvents */
/** @typedef {typeof __propDef.slots}  LayerCakeSlots */
/** Layer Cake component */
export default class LayerCake extends SvelteComponentTyped<{
    r?: string | number | Function | any[] | undefined;
    y?: string | number | Function | any[] | undefined;
    x?: string | number | Function | any[] | undefined;
    z?: string | number | Function | any[] | undefined;
    ssr?: boolean | undefined;
    pointerEvents?: boolean | undefined;
    position?: string | undefined;
    percentRange?: boolean | undefined;
    width?: number | undefined;
    height?: number | undefined;
    containerWidth?: number | undefined;
    containerHeight?: number | undefined;
    element?: Element | undefined;
    data?: Object | any[] | undefined;
    xDomain?: Function | string[] | number[] | [min: number | null, max: number | null] | undefined;
    yDomain?: Function | string[] | number[] | [min: number | null, max: number | null] | undefined;
    zDomain?: Function | string[] | number[] | [min: number | null, max: number | null] | undefined;
    rDomain?: Function | string[] | number[] | [min: number | null, max: number | null] | undefined;
    xNice?: number | boolean | undefined;
    yNice?: number | boolean | undefined;
    zNice?: number | boolean | undefined;
    rNice?: boolean | undefined;
    xPadding?: [leftPixels: number, rightPixels: number] | undefined;
    yPadding?: [leftPixels: number, rightPixels: number] | undefined;
    zPadding?: [leftPixels: number, rightPixels: number] | undefined;
    rPadding?: [leftPixels: number, rightPixels: number] | undefined;
    xScale?: Function | undefined;
    yScale?: Function | undefined;
    zScale?: Function | undefined;
    rScale?: Function | undefined;
    xRange?: Function | string[] | number[] | [min: number, max: number] | undefined;
    yRange?: Function | string[] | number[] | [min: number, max: number] | undefined;
    zRange?: Function | string[] | number[] | [min: number, max: number] | undefined;
    rRange?: Function | string[] | number[] | [min: number, max: number] | undefined;
    xReverse?: boolean | undefined;
    yReverse?: boolean | undefined;
    zReverse?: boolean | undefined;
    rReverse?: boolean | undefined;
    xDomainSort?: boolean | undefined;
    yDomainSort?: boolean | undefined;
    zDomainSort?: boolean | undefined;
    rDomainSort?: boolean | undefined;
    padding?: {
        top?: number | undefined;
        right?: number | undefined;
        bottom?: number | undefined;
        left?: number | undefined;
    } | undefined;
    extents?: {
        x?: [min: number, max: number] | undefined;
        y?: [min: number, max: number] | undefined;
        r?: [min: number, max: number] | undefined;
        z?: [min: number, max: number] | undefined;
    } | undefined;
    flatData?: any[] | undefined;
    custom?: Object | undefined;
    debug?: boolean | undefined;
}, {
    [evt: string]: CustomEvent<any>;
}, {
    default: {
        element: Element;
        width: number;
        height: number;
        aspectRatio: number;
        containerWidth: number;
        containerHeight: number;
        activeGetters: {
            x: Function;
            y: Function;
            z: Function;
            r: Function;
        };
        percentRange: boolean;
        x: Function;
        y: Function;
        z: Function;
        r: Function;
        custom: Object;
        data: Object | any[];
        xNice: number | boolean;
        yNice: number | boolean;
        zNice: number | boolean;
        rNice: boolean;
        xDomainSort: boolean;
        yDomainSort: boolean;
        zDomainSort: boolean;
        rDomainSort: boolean;
        xReverse: boolean;
        yReverse: boolean;
        zReverse: boolean;
        rReverse: boolean;
        xPadding: [leftPixels: number, rightPixels: number];
        yPadding: [leftPixels: number, rightPixels: number];
        zPadding: [leftPixels: number, rightPixels: number];
        rPadding: [leftPixels: number, rightPixels: number];
        padding: {
            top: number;
            right: number;
            bottom: number;
            left: number;
        } & {
            top?: number | undefined;
            right?: number | undefined;
            bottom?: number | undefined;
            left?: number | undefined;
        };
        flatData: any[];
        extents: {};
        xDomain: any;
        yDomain: any;
        zDomain: any;
        rDomain: any;
        xRange: any;
        yRange: any;
        zRange: any;
        rRange: any;
        config: {};
        xScale: any;
        xGet: any;
        yScale: any;
        yGet: any;
        zScale: any;
        zGet: any;
        rScale: any;
        rGet: any;
    };
}> {
}
export type LayerCakeProps = typeof __propDef.props;
export type LayerCakeEvents = typeof __propDef.events;
export type LayerCakeSlots = typeof __propDef.slots;
import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        r?: string | number | Function | any[] | undefined;
        y?: string | number | Function | any[] | undefined;
        x?: string | number | Function | any[] | undefined;
        z?: string | number | Function | any[] | undefined;
        ssr?: boolean | undefined;
        pointerEvents?: boolean | undefined;
        position?: string | undefined;
        percentRange?: boolean | undefined;
        width?: number | undefined;
        height?: number | undefined;
        containerWidth?: number | undefined;
        containerHeight?: number | undefined;
        element?: Element | undefined;
        data?: Object | any[] | undefined;
        xDomain?: Function | string[] | number[] | [min: number | null, max: number | null] | undefined;
        yDomain?: Function | string[] | number[] | [min: number | null, max: number | null] | undefined;
        zDomain?: Function | string[] | number[] | [min: number | null, max: number | null] | undefined;
        rDomain?: Function | string[] | number[] | [min: number | null, max: number | null] | undefined;
        xNice?: number | boolean | undefined;
        yNice?: number | boolean | undefined;
        zNice?: number | boolean | undefined;
        rNice?: boolean | undefined;
        xPadding?: [leftPixels: number, rightPixels: number] | undefined;
        yPadding?: [leftPixels: number, rightPixels: number] | undefined;
        zPadding?: [leftPixels: number, rightPixels: number] | undefined;
        rPadding?: [leftPixels: number, rightPixels: number] | undefined;
        xScale?: Function | undefined;
        yScale?: Function | undefined;
        zScale?: Function | undefined;
        rScale?: Function | undefined;
        xRange?: Function | string[] | number[] | [min: number, max: number] | undefined;
        yRange?: Function | string[] | number[] | [min: number, max: number] | undefined;
        zRange?: Function | string[] | number[] | [min: number, max: number] | undefined;
        rRange?: Function | string[] | number[] | [min: number, max: number] | undefined;
        xReverse?: boolean | undefined;
        yReverse?: boolean | undefined;
        zReverse?: boolean | undefined;
        rReverse?: boolean | undefined;
        xDomainSort?: boolean | undefined;
        yDomainSort?: boolean | undefined;
        zDomainSort?: boolean | undefined;
        rDomainSort?: boolean | undefined;
        padding?: {
            top?: number | undefined;
            right?: number | undefined;
            bottom?: number | undefined;
            left?: number | undefined;
        } | undefined;
        extents?: {
            x?: [min: number, max: number] | undefined;
            y?: [min: number, max: number] | undefined;
            r?: [min: number, max: number] | undefined;
            z?: [min: number, max: number] | undefined;
        } | undefined;
        flatData?: any[] | undefined;
        custom?: Object | undefined;
        debug?: boolean | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {
            element: Element;
            width: number;
            height: number;
            aspectRatio: number;
            containerWidth: number;
            containerHeight: number;
            activeGetters: {
                x: Function;
                y: Function;
                z: Function;
                r: Function;
            };
            percentRange: boolean;
            x: Function;
            y: Function;
            z: Function;
            r: Function;
            custom: Object;
            data: Object | any[];
            xNice: number | boolean;
            yNice: number | boolean;
            zNice: number | boolean;
            rNice: boolean;
            xDomainSort: boolean;
            yDomainSort: boolean;
            zDomainSort: boolean;
            rDomainSort: boolean;
            xReverse: boolean;
            yReverse: boolean;
            zReverse: boolean;
            rReverse: boolean;
            xPadding: [leftPixels: number, rightPixels: number];
            yPadding: [leftPixels: number, rightPixels: number];
            zPadding: [leftPixels: number, rightPixels: number];
            rPadding: [leftPixels: number, rightPixels: number];
            padding: {
                top: number;
                right: number;
                bottom: number;
                left: number;
            } & {
                top?: number | undefined;
                right?: number | undefined;
                bottom?: number | undefined;
                left?: number | undefined;
            };
            flatData: any[];
            extents: {};
            xDomain: any;
            yDomain: any;
            zDomain: any;
            rDomain: any;
            xRange: any;
            yRange: any;
            zRange: any;
            rRange: any;
            config: {};
            xScale: any;
            xGet: any;
            yScale: any;
            yGet: any;
            zScale: any;
            zGet: any;
            rScale: any;
            rGet: any;
        };
    };
};
export {};
